<template>
    <div class="film"> 
        <v-img 
            :src="film.img"
            :class="'film_img'"
        />
        <h1 class="film__title">{{ film.name }}</h1>
        <v-btn x-large depressed class="film__button film__button_primary">Смотреть по подписке</v-btn>
        <v-btn x-large depressed class="film__button">Трейлер</v-btn>
        <v-btn
            class="mx-2 film__icon film__button"
            dark
            x-large depressed
        >
            <v-icon dark>mdi-heart</v-icon>
        </v-btn>
        <h2 class="film__title film__title--small">Описание</h2>
        <p class="film__description">{{ film.description }}</p>
        <h2 class="film__title film__title--small">Оценки</h2>
        <Form @addGrade="addGrade" />
        <ul v-for="grade in grades" :key="grade.id" class="film__gradeslist">
            <p>Отзыв - {{ grade.name }}</p>
            <p>Оценка - {{ grade.grade }}</p>
            <p>Рецензия - {{ grade.description }}</p>
        </ul>
    </div>
</template>
  
<script>
import Form from "@/components/FormComponent"
export default {
    props: {
        film: {
            type: Object,
            required: true
        }
    },
    components: {
        Form
    },
    data: () => ({
        grades: []
    }),
    methods: {
        addGrade(otsyv) {
            this.grades.push(otsyv)
        }
    }
};
</script>